<!DOCTYPE html>
<html>
	<body>
		<div class="common_content_btnList clearfix">
			<button id="cateImport" type="button" class="btn btn-success btn-block">导入</button>
			<button id="cateView" type="button" class="btn btn-block">查看</button>
			<button id="cateEdit" type="button" class="btn btn-block">编辑</button>
			<button id="cateDel" type="button" class="btn btn-block">删除</button>
			<button id="cateNew" type="button" class="btn btn-block">新增</button>
			<!-- <button id="CateForProduct" type="button" class="btn btn-block" style="width:auto">查看类别中的产品</button> -->
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="productCategoryliTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,singleSelect:true,collapsible:true,method:'post'">
				 <thead>
					<tr>
						<th data-options="field:'productCategoryId',checkbox:true"></th>
						<th data-options="field:'productCategoryCode',width:100,halign:'center',align:'center'">类别编号</th>
						<th data-options="field:'productCategoryName',width:200,halign:'center',align:'center'">类别名称</th>
						<th data-options="field:'productCategoryDesc',width:450,align:'center',halign:'center'">类别说明</th>
					</tr>
				</thead> 
			</table>
		</div>
		<div id="importCateMask" class="mask_in clearfix none">
			<form id="importForm"  method="post" enctype="multipart/form-data">
			<div class="detailed contactDetailed">
				<button type="button" class="icon detailed_close"></button>
				<div class="contactDetailed_title">导入产品类别</div>
				<div class="common_content_btnList clearfix">
					<button id="downImportTemp" type="button" class="btn btn-success btn-block">下载模版</button>
				</div>
				<div class="common_content_btnList clearfix">
					<div class="fl" style="position: relative; width: 130px; height: 40px;">
						<button id="userDetailedBoxBtn" type="button" class="btn btn-success">选择文件
						</button>
						<input type="file" name="fileInput" id="fileInput"  value="" style="position:absolute; width: 100%; height: 100%;top: 0; left: 0; opacity: 0;" />
					</div>
					<span id="fileSpan" class="file_title">未选择文件...</span>
					<button id="importBtn" type="button" class="btn">上传</button>
				</div>
			</div>
			</form>
		</div>	
		<script type="text/javascript">
			$(function() {
				require(['view/base/productCategory'], function(re) {
					re.init();
				});
			});
		</script>
	</body>
</html>